﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Linq.Expressions;

namespace MVCAppEmp.Extensions
{
    public static class mvcutils
    {
        public static SelectList SelectFromList<TItem>(this List<TItem> values,
            Expression<Func<TItem, string>> key, Expression<Func<TItem, string>> value)
        {
            var Key = key.Compile();
            var Value = value.Compile();
            List<KeyValuePair<string, string>> kvp = new List<KeyValuePair<string, string>>(values.Count);
            values.ForEach(item =>
                kvp.Add(new KeyValuePair<string, string>(Key.Invoke(item), Value.Invoke(item))));

            return new SelectList(kvp, "Key", "Value");

        }

    }
}
